package com.fs.hisStore.service;

import com.fs.hisStore.domain.FsDoctorArticleScrm;
import com.fs.hisStore.param.FsDoctorArticleListUParam;
import com.fs.hisStore.vo.FsDoctorArticleListUVO;
import com.fs.hisStore.vo.FsDoctorArticleListVO;
import com.fs.hisStore.vo.FsDoctorArticleUVO;
import com.fs.hisStore.vo.FsDoctorArticleVO;

import java.util.List;

/**
 * 医生文章Service接口
 *
 * @author fs
 * @date 2023-06-05
 */
public interface IFsDoctorArticleScrmService
{
    /**
     * 查询医生文章
     *
     * @param articleId 医生文章主键
     * @return 医生文章
     */
    public FsDoctorArticleVO selectFsDoctorArticleByArticleId(Long articleId);

    /**
     * 查询医生文章列表
     *
     * @param fsDoctorArticle 医生文章
     * @return 医生文章集合
     */
    public List<FsDoctorArticleScrm> selectFsDoctorArticleList(FsDoctorArticleScrm fsDoctorArticle);

    /**
     * 新增医生文章
     *
     * @param fsDoctorArticle 医生文章
     * @return 结果
     */
    public int insertFsDoctorArticle(FsDoctorArticleScrm fsDoctorArticle);

    /**
     * 修改医生文章
     *
     * @param fsDoctorArticle 医生文章
     * @return 结果
     */
    public int updateFsDoctorArticle(FsDoctorArticleScrm fsDoctorArticle);

    /**
     * 批量删除医生文章
     *
     * @param articleIds 需要删除的医生文章主键集合
     * @return 结果
     */
    public int deleteFsDoctorArticleByArticleIds(Long[] articleIds);

    /**
     * 删除医生文章信息
     *
     * @param articleId 医生文章主键
     * @return 结果
     */
    public int deleteFsDoctorArticleByArticleId(Long articleId);

    List<FsDoctorArticleListVO> selectFsDoctorArticleListVO(FsDoctorArticleScrm fsDoctorArticle);

    List<FsDoctorArticleListUVO> selectFsDoctorArticleListUVO(FsDoctorArticleListUParam param);

    int updateViews(Long articleId);

    FsDoctorArticleUVO selectFsDoctorArticleUVOByArticleId(Long articleId);


}
